# frozen_string_literal: true

module QasDockGem
  class AwsServices
    def credentials_aws(access_key_id, secret_access_key_id, region)
      {
        access_key_id: access_key_id,
        secret_access_key: secret_access_key_id,
        region: region
      }
    end

    def init_secrets_manager(credentials)
      require 'aws-sdk-secretsmanager'
      Aws::SecretsManager::Client.new(credentials)
    end

    def get_sm_secret_value(credentials, secret_name)
      secret = init_secrets_manager(credentials).get_secret_value(secret_id: secret_name.to_s)
      JSON.parse(secret.secret_string)
    end
  end
end
